function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        browser.open('https://edge.one.ubuntu.com/music/player/#view=playlist&playlist=shuffle-all');
        this._browser = browser;
        this._state = 0;
    },

    onLoad: function () {
        if (this._state === 0) {
            setTimeout(function () {
                this._browser.invokeCallback('Unity.MediaPlayer.onNext');
            }.bind(this), 3000);
        } else {
            setTimeout(function () {
                this._browser.finish();
            }.bind(this), 3000);
        }

        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, 'Unity.init');
        assertEquals(log[0].args[0].name, 'UbuntuOne');
        assertEquals(log[1].func, 'Unity.MediaPlayer.init');
        assertEquals(log[2].func, 'Unity.MediaPlayer.setTrack');

        var song1 = log[2].args[0].title;

        var i, hasSecondSong = false;
        for (i = 0; i < log.length; i++) {
            if (log[i].args[0].title === song1) {
                hasSecondSong = true;
            }
        }

        assertEquals(hasSecondSong, true);
    },

    scriptName: 'U1Music.user.js.in'
};
